<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/highslide.packed.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<link href="/css/highslide.css" media="screen" rel="stylesheet" type="text/css" />

	
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<script type="text/javascript">
	hs.graphicsDir = '/css/graphics/';
</script>
<style type="text/css">
	@import url('/css/Autocompleter.css');
    .purple{
        color: #800080 !important;
    }
    .black{
        color: #000 !important;
    }
</style>


<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

<script type="text/javascript">
    function showMoretransfer(user_id){

        document.getElement(".more-duplicity-" + user_id).classList.remove("hide-transfer");
        document.getElement(".less-transfer-duplicity-" + user_id).classList.remove("hide-transfer");
        document.getElement(".more-transfer-duplicity-" + user_id).classList.add("hide-transfer");
    }
    function hideMoretransfer(user_id){
        document.getElement(".more-duplicity-" + user_id).classList.add("hide-transfer");
        document.getElement(".less-transfer-duplicity-" + user_id).classList.add("hide-transfer");
        document.getElement(".more-transfer-duplicity-" + user_id).classList.remove("hide-transfer");
    }
    Cubix.Grid.DataTypes.TransferDuplicity = {
        tip: false,

        format: function (data, format, td) {
            var row_data = td.getParent().rowData;
            var str = '';
            var color = 'black';
            if (data.length) {
                var index = 1;
                var more_block = '';
                if(data.length > 15){
                   var more_block = '<div class="hide-transfer more-duplicity-'+row_data.user_id+' more-duplicity">';
                }


                data.each(function (item) {
                    if (item.status == 5 || item.status == 3){
                        color = 'purple'
                    }else if(item.user_type == 'agency'){
                        color = 'red'
                    }else{
                        color = 'black'
                    }
                    if(data.length > 15){
                        if(index <= 15){
                            str += '<a href="#" data-key="'+item.id+'" class="show-transfer-duplicity transfer-duplicity '+color+'">' + item.id + '&nbsp;</a>';

                        }else{
                            if(index == 16){
                                str += more_block;
                            }
                            str += '<a href="#" data-key="'+item.id+'" class="hidden-transfer-duplicity hidden-transfer-duplicity-'+row_data.user_id+' transfer-duplicity '+color+'">' + item.id + '&nbsp;</a>';
                        }

                    }else{

                        str += '<a href="#" data-key="'+item.id+'" class="transfer-duplicity '+color+'">' + item.id + '&nbsp;</a>';
                    }
                    index++;
                });
                if(data.length > 15){
                    str += '</div>';
                    str += '<a onclick="showMoretransfer('+row_data.user_id+')" class="more-transfer-duplicity-'+row_data.user_id+' more-transfer-duplicity">more</a>';
                    str += '<a onclick="hideMoretransfer('+row_data.user_id+')" class="less-transfer-duplicity-'+row_data.user_id+' hide-transfer less-transfer-duplicity ">less</a>';
                }else{

                }
            }

            return str;

        }
    };
Cubix.ready = function () {
	new Cubix.Shadow($('content'));

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 940
	});
	window.TransferPopup = popup;

	var rejectPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Reject', icon: 'delete', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 640,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});
	window.rejectPopup = rejectPopup;
	
	var findTransactionIdPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'OK', icon: 'accept', action: Cubix.Popup.Actions.Close},
		],
		width: 260
	});
	window.findTransactionIdPopup = findTransactionIdPopup;
	
	var chargebackPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Chargeback', icon: 'delete', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 640
	});
	window.chargebackPopup = chargebackPopup;
	
	var editCCInfoPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 460
	});
	window.editCCInfoPopup = editCCInfoPopup;

	var commentPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 340
	});
	window.commentPopup = commentPopup;

	var payPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Confirm', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 640,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});
	
	var Confirm = function ()
	{
		payPopup.setTitle('Confirm Transfer');
		payPopup.load('/billing/transfers/confirm?id=' + $('tr-id').get('value'), function () {
			this.open();
			detailsPopup.close();
		});
	}
	
	var Reject = function ()
	{
		var st = $('tr-status').get('value');
		
		if ( st == 1 || st == 2 ) {
			rejectPopup.setTitle('Reject Transfer');
			rejectPopup.load('/billing/transfers/reject?id=' + $('tr-id').get('value'), function () {
				this.open();
				detailsPopup.close();
			});
		}
	}

	var detailsPopup = new Cubix.Popup.Ajax({
		abar: [
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			{ caption: 'Confirm', icon: 'money', klass: 't-confirm', action: Confirm },
			<? endif; ?>
			{ caption: 'Reject', icon: 'delete', klass: 't-reject', action: Reject },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 695
	});

	window.OrderDetailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 2 }
	});
	
	window.OrderDetailsPopup.addEvent('loaded', function() {
		if ($$('span.user-type-escort a'))
			$$('span.user-type-escort a').addEvent('click', function (e) {
				e.stop();

				ePpopup.__mode = 'edit';
				
				showname = this.get('showname');
				escort_id = this.get('escort_id');
				
				addOrderButton.setStyle('display', 'block')
				window.EscortPopup.setTitle('Edit Escort ' + showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + escort_id, function () {
					this.open();
				});
			});
	})

	window.TransferDetailsPopup = detailsPopup;
	
	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {
			switch(this.get('value'))
			{
				case '':
					/*date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date()), true);

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()), true);*/
					$("f-date-from").set('value','');
					$("f-date-to").set('value','');
					$$("input[name=date_from]").set('value', '');
					$$("input[name=date_to]").set('value', '');
				break;
				case 'today':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date()));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'yesterday':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'last_7_days':
					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date()));
				break;
				case 'this_month':
					var last_day = new Date().get('lastdayofmonth');

					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(new Date().set('date', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
				break;
				case 'last_month':
					var last_month = new Date().decrement('month', 1);

					var last_day = last_month.get('lastdayofmonth');

					date_from.onFocus(date_from.item, date_from.clone, true);
					date_from.select(date_from.dateToObject(last_month.set('date', 1)));

					date_to.onFocus(date_to.item, date_to.clone, true);
					date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
				break;
			}
		});
	};

	initDateFilter('search-form');

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>
        
        

	var initTransferTypes = function () {
		var choose = function (choice) {
			var map = {
				all: [ 'var_symbol', 'transaction_id', 'pull_person_id', 'mtcn', 'cc_number', 'cc_email' ],
				0: [  ],
				1: [ 'var_symbol' ],
				2: [ 'pull_person_id', 'mtcn' ],
				3: [ 'transaction_id', 'cc_number', 'cc_email' ],
				4: [  ],
				5: [ 'var_symbol' ],
				6: [  ],
				7: [ 'transaction_id' ],
				8: [ 'transaction_id' ],
				9: [  ],
				11: [ 'transaction_id' ],
			};

			map.all.each(function (name) {
				var el = document.getElement('*[name=' + name + ']');
				if ( el ) {
					el.set('disabled', 'disabled');
					//el.set('value', '');
					el.getParent('.inner').addClass('disabled');
				}
			}.bind(this));

			if ( $chk(map[choice]) ) {
				map[choice].each(function (name) {
					var el = document.getElement('*[name=' + name + ']');
					if ( el ) {
						el.set('disabled', null);
						el.getParent('.inner').removeClass('disabled');
					}
				}.bind(this));
			}
			else {
				return;
			}
		}.bind(this);

		var select = document.getElement('select[name=transfer_type_id]');
		select.addEvent('change', function () {
			choose(this.getSelected()[0].get('value'));
		});

		choose(0);
	}.bind(this);

	initTransferTypes();

	<? if( strlen($this->filter_params['transfer_type_id']) > 0 ): ?>
		document.getElement('select[name=transfer_type_id]').fireEvent('change');
	<? endif; ?>

	var getFilterParams = function () {
		/*
		is_open = $('toggle-advanced-search').get('class');

		sform = 'q-search-form';
		if ( is_open == 'opened' )
			sform = 'a-search-form';
		*/
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		$$('#export-link').set('href', '/billing/transfers/export' + '?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var defaultAction;

	var menu = new ActionsMenu([
		{ name: 'details', icon: 'details', caption: 'Details', func: defaultAction = function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/transfers/details?id=' + data.id, function () {
				this.open();
			});
		} },
		<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
		{ name: 'confirm', icon: 'money', caption: 'Confirm', func: function (data) {
			payPopup.setTitle('Confirm Transfer');
			payPopup.load('/billing/transfers/confirm?id=' + data.id, function () {
				this.open();
			});
		} },
		<? endif; ?>
	
		//Special logic for and6 transfer confirmation
		//dash managers can confirm cc transfers
		<? if ( Cubix_Application::getId() == APP_A6 && $bu_user->type == 'dash manager' ): ?>
		{ name: 'confirm', icon: 'money', caption: 'Confirm', func: function (data) {
			if ( data.transfer_type_id == 3 ) {//cc
				payPopup.setTitle('Confirm Transfer');
				payPopup.load('/billing/transfers/confirm?id=' + data.id, function () {
					this.open();
				});
			}
		} },
		<? endif; ?>
	
	
		<? if ( Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT ): ?>
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			{ name: 'edit', icon: 'edit', caption: 'Edit Transfer', func: function (data) {
				popup.setTitle('Edit Transfer');
				popup.load('/billing/transfers/edit?id=' + data.id, function () {
					this.open();
				});
			} },
			<? endif; ?>
		<? endif; ?>
	
		<? if ( Cubix_Application::getId() == APP_6A ): ?>
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' ): ?>
			{ name: 'edit_cc_info', icon: 'edit', caption: 'Edit CC info', func: function (data) {
				editCCInfoPopup.setTitle('Credit Card Info');
				editCCInfoPopup.load('/billing/transfers/edit-credit-card-info?id=' + data.id, function () {
					this.open();
				});
			} },
			<? endif; ?>
		<? endif; ?>
	
		{ name: 'reject', icon: 'remove', caption: 'Reject', func: function (data) {
			if ( data.status == 'Pending' || data.status == 'Confirmed' ) {
				rejectPopup.setTitle('Reject Transfer');
				rejectPopup.load('/billing/transfers/reject?id=' + data.id, function () {
					this.open();
				});
			}
		} },
	
		<? if ( Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF ): ?>
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' ): ?>
			{ name: 'chargeback', icon: 'remove', caption: 'Chargeback', func: function (data) {
				if ( data.status == 'Pending' || data.status == 'Confirmed' ) {
					rejectPopup.setTitle('Chargeback Transfer');
					rejectPopup.load('/billing/transfers/chargeback?id=' + data.id, function () {
						this.open();
					});
				}
			} },
			<? endif; ?>
		<? endif; ?>
			
		{ name: 'comment', icon: 'reply', caption: 'Add/Edit Comment ', func: function (data) {
				if (data.comment_grid != null && data.comment_grid.length > 0) {
					commentPopup.setTitle('Edit Comment');
				}
				else {
					commentPopup.setTitle('Add Comment');
				}	
				commentPopup.load('/billing/transfers/comment?id=' + data.id, function () {
					this.open();
				});
			
		} }
		
	], { mode: 'mouse' });

	menu.addEvent('show', function (data) {
		
		if ( ['confirmed', 'auto rejected'].contains(data.status.toLowerCase()) ) {
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			this.actions['confirm'].disable();
			<? endif; ?>
				
			<? if ( $bu_user->type == 'superadmin' || ( Cubix_Application::getId() == APP_A6 && $bu_user->type == 'dash manager') ): ?>
			this.actions['reject'].enable();
			<? else: ?>
			this.actions['reject'].disable();
			<? endif; ?>
		}
		else if ( data.status.toLowerCase() == 'rejected' ) {
			<? if ( $bu_user->type == 'superadmin'): ?>
			this.actions['confirm'].enable();
			<? else: ?>
			this.actions['confirm'].disable();
			<? endif; ?>
			
			this.actions['reject'].disable();
		}
		else {
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			this.actions['confirm'].enable();
			<? endif; ?>
				
			<? if ( $bu_user->type == 'dash manager' && Cubix_Application::getId() == APP_A6 ): ?>
			if ( data.transfer_type_id == 3 ) {
				this.actions['confirm'].enable();
			}
			<? endif; ?>
				
			<? if ( $bu_user->type == 'superadmin' && (Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT) ): ?>
			this.actions['reject'].enable();
			<? endif; ?>
				
		}
		<? if ( Cubix_Application::getId() == APP_6A): ?>
			if ( data.transfer_type != 'Credit Card' ) {
				this.actions['edit_cc_info'].disable();
			} else {
				this.actions['edit_cc_info'].enable();
			}
		<? endif; ?>
			
		<? if ( Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT ): ?>
			<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
			if ( data.status.toLowerCase() == 'pending' ) {
				this.actions['edit'].enable();
			} else {
				this.actions['edit'].disable();
			}
			<? endif; ?>
		<? endif; ?>
			
		
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		<? if ( Cubix_Application::getId() != APP_A6 ): ?>
		preload:false,
		<? else: ?>
		preload: true,
		<? endif;?>
		identifier: { field: 'id' },
		header: [
			{ title: 'C.', field: 'comment_grid', type: 'CommentTransfer', width: '20px'},
			{ title: 'Display Name', field: '', sortField: 'u.username', type: 'UserTypeIcon', sortable: true },
			{ title: 'Vendor', field: 'sales_username', sortField: 't.backend_user_id', type: 'string', sortable: true, width: '100px' },
			
			{ title: 'Type', field: 'transfer_type', sortField: 'tt.name', type: 'TransferType', sortable: false, width: '100px' },
			{ title: 'Payer Name', field: 'first_name', type: 'TransferPersonName', sortable: true, width: '100px' },
			{ title: 'Transfer Date', field: 'date_transfered', type: 'DateTime', sortable: true, width: '110px' },
			{ title: 'Transfer Amount', field: 'amount', type: 'Currency', format: { currency: '<?= $this->currency('symbol') ?>' }, sortable: true, width: '125px' },
			{ title: 'Payment Date', field: 'payment_date', type: 'DateTime', sortable: true, width: '110px' },
			{ title: 'Paid Am.', field: 'paid_amount', type: 'Currency', format: { currency: '<?= $this->currency('symbol') ?>' }, sortable: true, width: '80px' },
			<? if(Cubix_Application::getId() == APP_ED) : ?>
			{ title: 'City', field: 'premium_cities', type: 'string', sortable: false },
			<? endif; ?>
            <? if(Cubix_Application::getId() == APP_EF) : ?>
			{ title: 'Dupl. Cookie', field: 'duplicity_cookie', type: 'TransferDuplicity', sortable: false },
			{ title: 'Dupl. Ip', field: 'duplicity_ip', type: 'TransferDuplicity', sortable: false },
			<? endif; ?>
			{ title: 'Status', field: 'status', type: 'TransferStatus', sortable: true, width: '85px' }
			
		],
		sort: {
			field: 't.id',
			dir: 'DESC'
		},
		actions: [ { type: 'details', mouseenter: function (data, btn) {
			menu.show(btn, data);
		} }/*, { type: 'remove', func: function (data) {
			if ( data.status == 'Pending' ) {
				rejectPopup.setTitle('Reject Transfer');
				rejectPopup.load('/billing/transfers/reject?id=' + data.id, function () {
					this.open();
				});
			}
		} }, { type: 'money', func: function (data) {
			payPopup.setTitle('Confirm Transfer');
			payPopup.load('/billing/transfers/confirm?id=' + data.id, function () {
				this.open();
			});
		} }, { type: 'details', func: function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/transfers/details?id=' + data.id, function () {
				this.open();
			});
		} } */],
		data: new Cubix.Grid.Loader({ url: '/billing/transfers/data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});

	grid.addEvent('rowdblclick', defaultAction);

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();
				
				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();	
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});

	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.data.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.data.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.data.escort_id + '&name=' + window.EscortPopup.data.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;
	
	window.SmsPopup.addEvent('loaded', function () {		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	window.qEmail.addEvent('loaded', function () {

		var self = this;

		if (self.content.getElement('#email_template'))
			self.content.getElement('#email_template').addEvent('change', function(e) {
				e.stop();

				var id = self.content.getElement('#email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						if ( resp ) {
							self.content.getElement('#from').set('value', resp.from);
							self.content.getElement('#subject').set('value', resp.subject);
							self.content.getElement('#message').set('html', resp.body);
							self.content.getElement('#email_signature').set('html', resp.signature);
						} else {
							self.content.getElement('#from').set('value', '');
							self.content.getElement('#subject').set('value', '');
							self.content.getElement('#message').set('html', '');
							self.content.getElement('#email_signature').set('html', '');
						}
					}.bind(this)
				}).send();
			});
	});

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */

	grid.addEvent('loaded', function () {

		$$('span.user-type-escort a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});

		$$('span.user-type-agency a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;

			window.AgencyPopup.setTitle('Edit Agency');
			window.AgencyPopup.agency_id = data.agency_id;
			window.AgencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + data.agency_id, function () {
				this.open();
			});
			
		});


		/*if ( this.data.total ) {
			$$('.total-mixed b').set('html', this.data.total);
		}

		if ( this.data.paid ) {
			$$('.total-paid b').set('html', this.data.paid);
		}*/
				
		$$('.hover_comment img').addEvent('mouseenter', function(){
		var com = this.getNext('div');
		com.removeClass('none');
		});

		$$('.hover_comment img').addEvent('mouseleave', function(){
			var com = this.getNext('div');
			com.addClass('none');
		});

		if($$('.transfer-duplicity').length > 0){
            $$('.transfer-duplicity').addEvent('click',function (e) {
                e.stop();
                var id = $(this).get('data-key');
                detailsPopup.setTitle('Order Details');
                detailsPopup.load('/billing/transfers/details?id=' + id, function () {
                    this.open();
                });
            })
        }
		
	});

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add New Transfer');
		popup.load('/billing/transfers/create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Add New Transfer', classes: 'mr10' });

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	new Cubix.Button($('btn-find-transaction-id'), { onClick: function () {
		findTransactionIdPopup.setTitle('Transaction ID');
		findTransactionIdPopup.load('/billing/transfers/find-transaction-id?transaction_id=' + $('f-transaction-id').get('value'), function () {
			this.open();
		});
	}, icon: 'refresh', caption: 'Search', classes: 'mr10' });


	/* >>> Sales Users by Application ID */
	if ( $('f-app-id') ) {
		$('f-app-id').addEvent('change', function () {
			var app_id = this.getSelected()[0].get('value');
			var select = $('f-sales-user-id').set('disabled', 'disabled').addClass('disabled');
			select.empty();
			new Request({
				url: '/billing/orders/ajax-sales-users',
				method: 'get',
				data: { app_id: app_id },
				onComplete: function (resp) {
					var users = JSON.decode(resp);

					if ( users.length ) {
						new Element('option', {
							value: '',
							html: '- - - '
						}).inject(select);
					}

					users.each(function (user) {
						new Element('option', {
							value: user.id,
							html: user.username
						}).inject(select);
					});

					if ( users.length ) {
						select.set('disabled', null);
						select.getParent('.inner').removeClass('disabled');
					}
				}
			}).send();
		});
		$('f-app-id').fireEvent('change'); // Auto-fill sales persons on load (no more need in switching application)
	}
	/* <<< */

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				/*else {
					input.addEvent('change', function(){
						grid.load();
					});
				}*/
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		/*selects.addEvent('change', function(){
			grid.load();
		});*/
	};

	initFormSubmit();

	new Cubix.Button($('btn-total'), { onClick: function () {
		popupCount.setTitle('Total Transfers');
		popupCount.load('/billing/transfers/data-count?type=total_t&' + $('search-form').toQueryString(), function () {
			this.open();
		});
	}, icon: 'money_dollar', caption: 'Total Transfers', classes: 'mr10' });
	
	new Cubix.Button($('btn-difference'), { onClick: function () {
		popupCount.setTitle('Total Paid');
		popupCount.load('/billing/transfers/data-count?type=total_p&' + $('search-form').toQueryString(), function () {
			this.open();
		});
	}, icon: 'money_dollar', caption: 'Total Paid', classes: 'mr10' });
	
	var popupCount = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 300
	});
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<!-- GENERAL -->
			<fieldset class="inner mb10">
				<legend>General</legend>


				<div class="inner">
					<label for="f-showname">Showname</label>
					<input type="text" name="showname" class="txt w14" id="f-showname" value="<?= $this->filter_params['showname'] ?>" />
				</div>
				
				<div class="inner">
					<label for="f-escort-id">Escort ID</label>
					<input type="text" name="escort_id" class="txt w6" id="f-escort-id" value="<?= $this->filter_params['escort_id'] ?>" />
				</div>

				<div class="inner">
					<label for="f-agency_name">Agency Name</label>
					<input type="text" name="agency_name" class="txt w14" id="f-agency_name" value="<?= $this->filter_params['agency_name'] ?>" />
				</div>

				<div class="inner">
					<label for="f-email">Email</label>
					<input type="text" value="<?= $this->filter_params['email'] ?>" name="email" class="txt w14" id="f-email" />
				</div>
				<div class="clear"></div>		

				<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

				<div class="inner">
					<label for="f-order_id">Order ID</label>
					<input type="text" name="sys_order_id" class="txt w6" id="f-order_id" value="<?= $this->filter_params['sys_order_id'] ?>" />
				</div>
                                
                <? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>
					<div class="inner">
						<label for="f-sales-user-id">Vendor </label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				
				<? else: ?>
					<div class="inner disabled">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14" disabled="disabled">
							<option value="<?= $bu_user->id ?>"><?= $bu_user->username ?></option>
						</select>
					</div>

				<? endif; ?>

				<div class="inner">
					<label for="f-sales-user-id-real">Sales Person</label>
					<select name="sales_user_id_real" id="f-sales-user-id-real" class="w14">
						<option value="">- any -</option>
						<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
						<?php foreach($sales as $sale): ?>
							<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id_real']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
						<?php endforeach; ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="f-status">Status</label>
					<? $selected_f = $this->filter_params['status'] ? $this->filter_params['status'] : Model_Billing_Transfers::STATUS_PENDING; ?>
					<? if ($this->request()->status): ?>
						<? $selected_f = $this->request()->status ?>
					<? endif; ?>
					<select id="f-status" name="status" class="w12">
						<option value="0"> - any - </option>
						<? foreach ( Model_Billing_Transfers::$STATUS_LABELS as $status => $title ): ?>
						<option value="<?= $status ?>" <?= ( $selected_f == $status ) ? 'selected="selected"' : '' ?> ><?= $title ?></option>
						<? endforeach ?>
					</select>
				</div>
                                
				<? if (Cubix_Application::getId() == APP_EF): ?> 
					<div class="clear"></div>
					<div class="inner">
						<label for="f-escort-type">Escort Type</label>
						<?= $this->selectBox('escort_type', 'f-escort-type', array('agency' => 'Agency', 'independent' => 'Independent'), 'w10', $this->filter_params['escort_type'], 'any') ?>
					</div>
				<? endif; ?>
				<div class="clear"></div>
			</fieldset>
			<div class="clear"></div>
			<!-- GENERAL END  -->

			<!-- DATE  -->
			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w10 f-dates-defined">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>

				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value="" />
				</div>

				<div class="clear"></div>
			</fieldset>
			<!-- DATE END  -->
			<fieldset class="inner mb10">
				<legend>Find Transaction ID</legend>
				<div class="inner">
					<label>Trans. ID</label>
					<input id="f-transaction-id" type="text" class="txt w6" value="" />
				</div>
				<div class="inner" style="margin: 13px 5px 0 0 !important ">
					<a href="" id="btn-find-transaction-id"></a>
				</div>

				<div class="clear"></div>
			</fieldset>
			<div class="clear"></div>
			<!-- DATE END  -->		
		</div>

		<!-- PAYMENT INFO  -->
		<fieldset class="inner mb10" style="width: 500px;">
			<legend>Payment Info</legend>

			<?
				$transfer_types = array(
					array('id' => 6 , 'name' => 'Sales Einkassiert'),
					array('id' => 8 , 'name' => 'Postcheck')
				);
			?>
			<div class="inner">
				<label for="f-transfer_type_id">Transfer Type</label>
				<select id="f-transfer_type_id" name="transfer_type_id" class="w12">
					<option value=""> - any - </option>
					<? if ( $bu_user->type == 'sales' && Cubix_Application::getId() == APP_A6 ): ?>
						<? foreach ( $transfer_types as $type ): ?>
						<option value="<?= $type['id'] ?>" <?= ( $this->filter_params['transfer_type_id'] == $type['id'] ) ? 'selected="selected"' : '' ?> ><?= $type['name'] ?></option>
						<? endforeach ?>
					<? else: ?>
						<? foreach ( $this->model->getTransferTypes() as $type ): ?>
						<option value="<?= $type->id ?>" <?= ( $this->filter_params['transfer_type_id'] == $type->id ) ? 'selected="selected"' : '' ?> ><?= $type->name ?></option>
						<? endforeach ?>
					<? endif; ?>
				</select>
			</div>

			<div class="inner">
				<label for="f-first-name">First Name</label>
				<input id="f-first-name" type="text" class="txt w12" name="first_name" value="<?= $this->filter_params['first_name'] ?>" />
			</div>
			<div class="inner">
				<label for="f-last-name">Last Name</label>
				<input id="f-last-name" type="text" class="txt w12" name="last_name" value="<?= $this->filter_params['last_name'] ?>" />
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="f-var-symbol">Var. Symbol</label>
				<input id="f-var-symbol" type="text" class="txt w12" name="var_symbol" value="<?= $this->filter_params['var_symbol'] ?>" />
			</div>
			<div class="inner">
				<label for="f-transaction-id">Transaction ID</label>
				<input id="f-transaction-id" type="text" class="txt w12" name="transaction_id" value="<?= $this->filter_params['transaction_id'] ?>" />
			</div>
			<div class="inner">
				<label for="f-mtcn">MTCN</label>
				<input id="f-mtcn" type="text" class="txt w12" name="mtcn" value="<?= $this->filter_params['mtcn'] ?>" />
			</div>
			<? if (Cubix_Application::getId() == APP_6A): ?>
			<div class="inner">
				<label for="f-cc_number">CC Number</label>
				<input id="f-cc_number" type="text" class="txt w12" name="cc_number" value="<?= $this->filter_params['cc_number'] ?>" />
			</div>
			<div class="inner">
				<label for="f-cc_email">CC Email</label>
				<input id="f-cc_email" type="text" class="txt w12" name="cc_email" value="<?= $this->filter_params['cc_email'] ?>" />
			</div>
			<? endif; ?>
			<div class="clear"></div>
			<div class="inner">
				<label for="pull_person_id">Pull Person</label>
				<select name="pull_person_id" class="w12">
					<option value=""> - any - </option>
					<? $model = new Model_Billing_Transfers(); foreach ( $model->getPullPersons() as $person ): ?>
					<option value="<?= $person->id ?>" <?= ( $this->filter_params['pull_person_id'] == $person->id ) ? 'selected="selected"' : '' ?> ><?= $person->name ?></option>
					<? endforeach ?>
				</select>
			</div>
			<? if (Cubix_Application::getId() == APP_6A): ?>
			<div class="inner">
				<label for="cc_info">CC Info</label>
				<select name="cc_info" class="w12">
					<option value=""> - any - </option>
					<option value="1">Has CC Info</option>
					<option value="2">Doesn't have CC INFO</option>
				</select>
			</div>
			<? endif; ?>
			
			<div class="inner" style="padding-top: 20px;">
				<label><input type="checkbox" name="has_comment" value="1" /> <span>Has Transfer Comment</span></label>
			</div>

            <? if (Cubix_Application::getId() == APP_EG_CO_UK): ?>
                <div class="inner" style="padding-top: 20px;">
                    <label><input type="checkbox" name="banner_price" value="1"/> <span>Has Banner</span></label>
                </div>
            <? endif; ?>

            <? if (Cubix_Application::getId() == APP_ED): ?>
                <div class="inner" style="padding-top: 20px;">
                    <label><input type="checkbox" name="is_slf_chckt" value="1" /> <span>Self checkout</span></label>
                </div>
            <? endif; ?>

            <? if (in_array(Cubix_Application::getId(),array(APP_EF,APP_A6))): ?>
                <div class="inner" style="padding-top: 20px;">
                    <label><input type="checkbox" name="is_mobile" value="1" /> <span>From Mobile</span></label>
                </div>
            <? endif;?>

            <div class="clear"></div>
			
			<div class="inner" style="padding-top: 20px;">
				<label><input type="checkbox" name="contains_disc_orders" value="1" /> <span>Contains orders with discount</span></label>
			</div>
            <? if (Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EG_CO_UK): ?>
                <div class="inner" style="padding-top: 20px;">
                    <label><input type="checkbox" name="include_special_transfers" value="1" /> <span>Include special transfers</span></label>
                </div>
            <? endif; ?>
            <? if (Cubix_Application::getId() == APP_EF): ?>
                <div class="inner" style="padding-top: 20px;">
                    <label><input type="checkbox" name="show_dupl_coockie" value="1" /> <span>Has Dupl by Coockie</span></label>
                </div>
            <? endif;?>
		</fieldset>
		<div class="clear"></div>
		<!-- PAYMENT INFO END  -->
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="action-bar mt10">
	<a href="" id="btn-create"></a>
	<a href="" id="btn-total"></a>
	<a href="" id="btn-difference"></a>
	<? if (Cubix_Application::getId() == APP_EF): ?>
	<div id="grid-show-count-members" class="fleft" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		User Transfers : <span> 0 </span>
	</div>
	<? endif; ?>
	<? /*
	<div class="fleft total-mixed" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Total Transfers: <b>...</b>
	</div>

	<div class="fleft total-paid" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Total Paid: <b>...</b>
	</div>*/ ?>

	<? if ( in_array($bu_user->type, array('superadmin', 'admin')) ): ?>
	<div id="export-button" class="export-button" style="float: right; margin: 5px 5px 0 0; font-weight: bold">
		<? if (Cubix_Application::getId() == APP_A6): ?>
			<a id="export-link">
				Download CSV
			</a>
		<? else: ?>		
			<a href="/billing/transfers/export" onclick="return confirm('You are trying to export a huge amount of data, that could take quite long time...\nAre you sure you want to proceed?')" id="export-link">
				Download CSV
			</a>
		<? endif ?>
	</div>
	<? endif ?>
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
<? if (Cubix_Application::getId() == APP_A6): ?>
<script type="text/javascript">
	var overlay = new Cubix.Overlay($('export-button') , { showLoader: true });

	$$('.export-button').addEvent('click', function (e) {
		e.preventDefault();
		var result = confirm('You are trying to export a huge amount of data, that could take quite long time...\nAre you sure you want to proceed?');
		if(result) {
			var url = $$('#export-link').get('href');
			overlay.disable();

			new Request({
			    url: url,
			    method: 'get',
			    onSuccess: function (resp) {
					var interval = setInterval(function(){ 
						new Request({
						    url: '/billing/transfers/check-csv-status',
						    method: 'get',
						    onSuccess: function (resp) {
						    	var resp = JSON.parse(resp);
								if(resp.status) {
									overlay.enable();
									clearInterval(interval);
									document.location.href = '/billing/transfers/download-csv';
								} 
						    }
						}).send();
					}, 3000);
			    }
			}).send();
		}
	});

</script>
<? endif ?>